import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/getHasRight', 'GET', params);
}

export const getContentInfo = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/getScheduleApplicationSettingForm', 'POST', params);
}

export const getSubFormInfo = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/getScheduleApplicationRuleForm?is_multilang_set=true', 'POST', params);
}

export const saveMainForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/saveScheduleApplicationSetting', 'POST', params);
}

export const saveSubForm = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/saveScheduleApplicationRule', 'POST', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/schedule/applicationSetting/delScheduleApplicationRule', 'POST', params);
}